GET /atoz/{letter}/programmes

bbci.co.uk

Summary: Programmes by initial title character
Operation ID: Get_Programmes AtoZ search_
Auth: none
Description

Get the Programmes whose title begins with the given initial character.

Parameters (8)

availability (string, query, required, default: available)

Whether to return all, or available programmes

Constraints: {'enum': ['all', 'available']}

initial_child_count (integer, query, required, default: 4)

The depth to return child entities.

Constraints: {'minimum': 1, 'maximum': 4}

letter (string, path, required)

Letter to search by, a to z or the string '0-9'

Constraints: {'pattern': '[a-z](0-9)'}

page (integer, query, required)

The page index.

per_page (integer, query, required)

The number of results to return.

rights (string, query, required, default: web)

The rights group to limit results to.

Constraints: {'enum': ['mobile', 'tv', 'web']}

sort (string, query, required)

The sort order of the results.

Constraints: {'enum': ['title']}

sort_direction (string, query, required)

Whether to sort ascending or descending

Constraints: {'enum': ['asc', 'desc']}

Examples (1)

TitleTypeURLAction
Get A-Z programmes starting with A probe-gate https://ibl.api.bbci.co.uk/ibl/v1/atoz/a/programmes

No probe data for this endpoint yet.